\\ Copyright 2014 Kevin Ryde
\\
\\ This file is free software; you can redistribute it and/or modify it
\\ under the terms of the GNU General Public License as published by the Free
\\ Software Foundation; either version 3, or (at your option) any later
\\ version.
\\
\\ This file is distributed in the hope that it will be useful, but
\\ WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
\\ or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
\\ for more details.
\\
\\ You should have received a copy of the GNU General Public License along
\\ with this file.  See the file COPYING.  If not, see
\\ <http://www.gnu.org/licenses/>.


\\   1+e       2+e
\\     *---+---*
\\      \
\\       \         v^2
\\        \
\\ *---+---*
\\  x^2

e(t) = exp((Pi-t)*I)
b(t) = 1 + e(t) + 1
len(t) = abs(b(t))
middle(t) = b(t)/2
dist(t) = abs(middle(t) - 1/2)
\\           1/12 m L^2       m   r^2
Ic(t) = ( 3*1/12*1/3*1^2 + 2*1/3*dist(t)^2 ) / len(t)^2
Ic(t) = ( 3*1/12*1/3*1^2 + 2*1/3*dist(t)^2 ) / len(t)^2
Ic(t) = ( 1/12 + 2/3*abs(middle(t) - 1/2)^2  ) / len(t)^2
Ic(t) = ( 1/12 + 2/3*abs(b(t)/2 - 1/2)^2  ) / len(t)^2
Ic(t) = ( 1/12 + 2/12*abs(b(t) - 1)^2  ) / len(t)^2
Ic(t) = ( 1/12 + 2/12*abs(b(t) - 1)^2  ) / abs(b(t))^2
Ic(t) = ( 1/12 + 2/12*abs(1 + e(t))^2  ) / abs(b(t))^2
Ic(t) =  ( 1 + 2*abs(1 + e(t))^2  ) / abs(2 + e(t))^2
Ic(t) =  ( 1 + 2*abs(1^2 + 2*e(t) + e(t)^2)  ) / abs(2 + e(t))^2
Ic(t) =  ( 1 + abs(2 + 4*e(t) + 2*e(t)^2)  ) / abs(4 + 4*e(t) + e(t)^2)

for(f=0,10, my(t=f/10*Pi); print(Ic(t)))
1/12.0
t=Pi/8
dist(t)/len(t)
quit
\\      *---*
\\     /
\\    *
\\     \
\\       *
\\      /
\\ *---*
b(t) = 1 + e(t) + e(t)^2 + e(t) + 1
len(t) = abs(b(t))
middle(t) = b(t)/2
dist1(t) = abs(middle(t) - 1/2)
dist2(t) = abs(middle(t) - (1 + e(t)/2))
\\           1/12 m L^2       m   r^2
Ic(t) = ( 5*1/12*1/5*1^2 + 2*1/5*dist1(t)^2 + 2*1/5*dist2(t)^2  ) / len(t)^2 * 12
for(f=0,10, my(f=f); my(t=f/10*Pi); print(f," ",Ic(t)))
1/12.0